Skip to main content
POST
Create Chunks

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer . Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences. Requests with a missing or invalid API key fail with HTTP 401 and error code unauthorized.

Path Parameters

dataset_id
string<uuid>
required

Knowledge base ID.

document_id
string<uuid>
required

Document ID.

Body

application/json
segments
object[]
required

Array of chunk objects to create.

Minimum array length: 1

Response

Chunks created successfully.

data
object[]

List of created chunks.

doc_form
string

Document chunking mode used by this document.

Last modified on July 9, 2026